UniversRadio BugTracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000088UniversRadio[All Projects] UniversRadiopublic2018-06-18 12:042018-07-26 21:35
Reporterevilivan 
Assigned ToTacno 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 64-bitOS Version10
Product Version 
Target VersionFixed in Version0.1.5.3 NEd4 
Summary0000088: Loss of comms in flat terrain (specific area - see JPEG)
DescriptionHi there Tacno,

We (132nd) have been experiencing a loss of comms in specific area of the map (see JPEG - note that it is only a rough estimate of the area on the JPEG). This applies to versions 0.1.5.2-NE and 0.1.5.2-NEc1, and version 3.0 of the relief map.

Details: aircraft will fly into the area, and then one aircraft will stop being able to hear the other aircraft, but not vice versa (I have only tested with two aircraft in this scenario, both fixed and rotary wing at various altitudes between ground and 10000ft).
We typically have human ATC 'positioned' (using LotATC) in an AI AWACS aircraft flying at approx 40000ft, and both aircraft can still hear the ATC controller.

If you need further details, please let me know.

Thanks
evilivan
TagsNo tags attached.
DCS moduleA10C, KA-50, Mi-8 (and maybe more)
Attached Filesjpg file icon Caucasus_Map_UR_Radio_issue.jpg [^] (127,550 bytes) 2018-06-18 12:04


jpg file icon 132nd_working_area_caucasus.jpg [^] (228,526 bytes) 2018-06-20 11:33


jpg file icon Screen_180621_203332_tracks_marked.jpg [^] (2,430,315 bytes) 2018-06-23 12:31
png file icon Screen_180621_203315_south_detail.png [^] (936,031 bytes) 2018-06-23 12:31
png file icon Screen_180621_203325_north_detail.png [^] (1,060,895 bytes) 2018-06-23 12:32
zip file icon AssafB_log.zip [^] (3,039 bytes) 2018-06-28 09:35

- Relationships
child of 0000086closedTacno Relief Map v3.0 is causing bad comms 

-  Notes
(0000222)
Tacno (administrator)
2018-06-18 12:38
edited on: 2018-06-18 20:02

0153NEc1 update fixes problem with ground altitude conflict.
http://tacnoworld.fr/universradio-download/ [^]

(0000223)
evilivan (reporter)
2018-06-18 13:22
edited on: 2018-06-18 13:22

Please note I made an error in the versions I listed...

The most recent occurrence was with one aircraft (KA-50) using 0.1.5.2-NE and the other aircraft (Mi-8) using 0.1.5.3-NEc1. The Mi-8 was using the v3.0 relief map; I'm not sure about the KA-50.

If you want us to test specific versions / airframes / altitudes / areas etc let me know.

(0000224)
Tacno (administrator)
2018-06-18 20:07

"If you want us to test specific versions / airframes / altitudes / areas etc let me know."

Yes it's great. Just install 0153NEc1 (or newer) over 0152NE, then talk between JTAC/RW (with or without relief map, now it isn't important anymore)
Many thanks.

For information range is here : http://tacnoworld.fr/universradio/simplified-principles/ [^]
(0000225)
evilivan (reporter)
2018-06-20 11:31

Can you state what you are looking for? Where it happens? What happens? Ranges / airframes / altitudes?

Basically: the 132nd primarily use the area of the map indicated in the attached jpg ("132nd_working_area_caucasus.jpg"); we have only encountered the issue described in the area indicated in the first attachment. I know it happens between aircraft (A10s, KA50s, Mi8s), and I know it is still possible to communicate with an ATC controller using LotATC ATC radios and "located" in a AWACS aircraft flying at around 40000ft.
(0000226)
Tacno (administrator)
2018-06-20 12:01

Only simple feedbacks ( 0153 NEc1 and newer)
With 3D location where comms were. (LatLong Alt)
After I can debug comms from these locations, and get if it's cut by relief or overrange, etc or bug
(0000227)
evilivan (reporter)
2018-06-23 11:16

Hi Tacno

We did some testing on Thursday but I'm not sure how useful it will be...

We had three participants:

1: AWACS at 39k feet, using LotATC and ATC radios
2: A10-C at 4k feet
3: KA-50 at 2k feet

Basically: we tried to be methodically about it and have one aircraft hold a position while the other moved. However, both aircraft reported a break up of reception / introduction of static - but usually not at the same time; mostly one was clear when the other was not (occasionally they reported break up / static at the same time). It also happened "randomly" e.g. there isn't a line where the comms problems start, but they come and go within the area - and it can go either way; e.g. aircraft in location A can no longer hear aircraft in location B (but B can still hear A), and then it flips with very little movement by either aircraft.
Just to note: nearly all the time AWACS could hear everyone and everyone could hear AWACS (the AWACS aircraft was an a wide orbit overhead), but there was a period where AWACS lost comms with one of the aircraft.

We marked up DCS as we went along, and I will upload those screen grabs in a bit (they are on another PC), but I'm not sure how much use they will be because the issue is so "scattered" across the area. However, it will give you a rough idea of where we were operating.
(0000228)
evilivan (reporter)
2018-06-23 12:37
edited on: 2018-06-23 12:39

Three new images uploaded:

"Screen_180621_203332_tracks_marked.png" the full area DCS screen print marked up with notes and AWACS route (39k ft)
"Screen_180621_203325_north_detail.png" northern detail of above
"Screen_180621_203315_south_detail.png" southern detail of above

Notes:

IAF.AssafB (callsign BEAST) = A10C pilot, at 4k ft
Donkey (callsign DRAGON) = KA-50 pilot, at 2k ft
132nd.evilivan = CTRL; AWACS controller (LotATC and ATC radio)

Where the mark has been made by 132nd.evilivan, it refers to the aircraft position not the AWACS position...
Unless specified, comms comments refer to VHF (127.100)
We were also using FM (32.9), and when comms were lost on FM that was noted

Really not sure how much value all this will be, but that is what we did!

(0000230)
Tacno (administrator)
2018-06-24 21:24

... Summer just started and a good harvest already begins ...

Thanks Evilian, I'll debug with your feedback (LatLong you noted)

Does a player with 0151NEc1 have a cut of comm. ? If yes, the 0151NEc1 doesn't work.
(0000231)
evilivan (reporter)
2018-06-26 12:59

I confirm that all three of us were using version 0151NEc1.
(0000232)
Tacno (administrator)
2018-06-27 16:06

Could you attach your \Saved Games\UniversRadio\log folder in a zip pls ?
(0000233)
evilivan (reporter)
2018-06-27 16:27

All of us? Or just mine. I will do it when I get home.
(0000234)
Tacno (administrator)
2018-06-27 16:44

yours only as you had cut comm
(0000235)
evilivan (reporter)
2018-06-27 17:29

A misunderstanding there - we all had cut comms, at different times. It wasn't consistent. Pilot A would stop hearing pilot B, but pilot B could still hear A - and every combinations (between three of us) you can think of.

Does that make sense? Would like you the logs from all three of us?
(0000236)
evilivan (reporter)
2018-06-28 09:36

I uploaded one log file; for two of us there were no log entries for the day in question, so didn't seem worth sending those (but let me know if you want them).
(0000237)
Tacno (administrator)
2018-06-29 13:41

If you want and have time,
we can generate verbose log files for helping us to debug.
If yes, reply to me at universradio[at]tacnoworld.fr
(0000248)
Tacno (administrator)
2018-07-25 22:26

A bad file of heights gives issues with the Caucasus Relief Map V3.
Meanwhile, the previous v2 can be used.

http://tacnoworld.fr/UniversRadio/download/install_UR_CaucasusMapv2.0.exe [^]
(0000249)
Tacno (administrator)
2018-07-26 08:58

I'll do deep tests before closing
(0000255)
Tacno (administrator)
2018-07-26 21:35

fixed and released

- Issue History
Date Modified Username Field Change
2018-06-18 12:04 evilivan New Issue
2018-06-18 12:04 evilivan File Added: Caucasus_Map_UR_Radio_issue.jpg
2018-06-18 12:36 Tacno Relationship added child of 0000086
2018-06-18 12:38 Tacno Note Added: 0000222
2018-06-18 12:38 Tacno Assigned To => Tacno
2018-06-18 12:38 Tacno Status new => assigned
2018-06-18 13:22 evilivan Note Added: 0000223
2018-06-18 13:22 evilivan Note Edited: 0000223 View Revisions
2018-06-18 20:02 Tacno Note Edited: 0000222 View Revisions
2018-06-18 20:07 Tacno Note Added: 0000224
2018-06-20 11:31 evilivan Note Added: 0000225
2018-06-20 11:33 evilivan File Added: 132nd_working_area_caucasus.jpg
2018-06-20 12:01 Tacno Note Added: 0000226
2018-06-23 11:16 evilivan Note Added: 0000227
2018-06-23 12:31 evilivan File Added: Screen_180621_203332_tracks_marked.jpg
2018-06-23 12:31 evilivan File Added: Screen_180621_203315_south_detail.png
2018-06-23 12:32 evilivan File Added: Screen_180621_203325_north_detail.png
2018-06-23 12:37 evilivan Note Added: 0000228
2018-06-23 12:39 evilivan Note Edited: 0000228 View Revisions
2018-06-23 12:39 evilivan Note Edited: 0000228 View Revisions
2018-06-24 21:24 Tacno Note Added: 0000230
2018-06-26 12:59 evilivan Note Added: 0000231
2018-06-27 16:06 Tacno Note Added: 0000232
2018-06-27 16:27 evilivan Note Added: 0000233
2018-06-27 16:44 Tacno Note Added: 0000234
2018-06-27 17:29 evilivan Note Added: 0000235
2018-06-28 09:35 evilivan File Added: AssafB_log.zip
2018-06-28 09:36 evilivan Note Added: 0000236
2018-06-29 13:41 Tacno Note Added: 0000237
2018-07-25 22:26 Tacno Note Added: 0000248
2018-07-25 22:26 Tacno Status assigned => resolved
2018-07-25 22:26 Tacno Fixed in Version => 0.1.5.3 NF
2018-07-25 22:26 Tacno Resolution open => fixed
2018-07-26 08:58 Tacno Note Added: 0000249
2018-07-26 08:58 Tacno Status resolved => confirmed
2018-07-26 21:35 Tacno Note Added: 0000255
2018-07-26 21:35 Tacno Status confirmed => closed
2018-07-26 21:35 Tacno Fixed in Version 0.1.5.3 NF => 0.1.5.3 NEd4


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker